> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show inter transit gateway peering parameters

> Retrieve inter-transit gateway peering parameters



## OpenAPI

````yaml /openapi/10.0/aviatrix-api.json post /v2/api/show_inter_transit_gateway_peering_parameters
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '10.0'
  description: >-
    Aviatrix Controller API — version 10.0. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2/api/show_inter_transit_gateway_peering_parameters:
    post:
      tags:
        - transit
      operationId: show_inter_transit_gateway_peering_parameters
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CID:
                  $ref: '#/components/schemas/CID'
                action:
                  $ref: '#/components/schemas/action'
                all:
                  description: >-
                    For VRF attachment APIs: all eligible transit peerings (no
                    pair).
                  type: boolean
                disable_activemesh:
                  description: Disable activemesh.
                  type: boolean
                dst_exclude_conn:
                  description: Destination Site Exclude Connection List.
                  type: string
                dst_filter_list:
                  description: Destination Site Filter CIDR List.
                  type: string
                dst_group_uuid:
                  description: Destination gateway group uuid.
                  type: string
                dst_gw_logical_ifnames:
                  description: Select list of dst Edge Transit WAN interface(s) to attach.
                  type: string
                dst_wan_interfaces:
                  description: >-
                    Select dst Edge Transit WAN interface(s) to attach, comma
                    separated.
                  type: string
                enable_az_affinity:
                  description: Prefer same-AZ nexthop for transit-transit routing.
                  type: string
                enable_firenet_for_edge:
                  description: Enable Firenet for Edge.
                  type: boolean
                enable_vrf_on_attachment:
                  $ref: '#/components/schemas/StringToggle'
                  description: 'For update_vrf_on_attachment: yes or no.'
                gateway1:
                  description: Source gateway name.
                  type: string
                gateway2:
                  description: Destination gateway name.
                  type: string
                insane_mode:
                  description: Enable HPE mode for peering with Edge Transit.
                  type: boolean
                insane_mode_over_internet:
                  description: Enable HPE mode over internet.
                  type: boolean
                jumbo_frame:
                  description: >-
                    Enable jumbo frame for over private peering with Edge
                    Transit.
                  type: boolean
                no_max_performance:
                  description: >-
                    Support HPE transit peering over private network single
                    tunnel config.
                  type: boolean
                over_aws_peering:
                  $ref: '#/components/schemas/StringToggle'
                  description: Over native peering.
                over_private_network:
                  description: >-
                    The underlay connects over the private network for peering
                    with Edge Transit.
                  type: boolean
                private_ip_peering:
                  description: Peering by gateway private ip.
                  type: string
                single_tunnel:
                  description: Peering in single tunnel, not HPE mode.
                  type: string
                src_exclude_conn:
                  description: Source Site Exclude Connection List.
                  type: string
                src_filter_list:
                  description: Source Site Filter CIDR List.
                  type: string
                src_group_uuid:
                  description: Source gateway group uuid.
                  type: string
                src_gw_logical_ifnames:
                  description: Select list of src Edge Transit WAN interface(s) to attach.
                  type: string
                src_wan_interfaces:
                  description: >-
                    Select src Edge Transit WAN interface(s) to attach, comma
                    separated.
                  type: string
                tunnel_count:
                  description: Number of tunnels for HPE mode over internet.
                  type: string
              required:
                - gateway1
                - gateway2
              type: object
        required: true
      responses:
        '200':
          $ref: '#/components/responses/general_response_v2'
        default:
          $ref: '#/components/responses/general_response_v2'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -sk -X POST
            "https://<controller>/v2/api/show_inter_transit_gateway_peering_parameters"
            \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: >-
            import requests


            url =
            "https://<controller>/v2/api/show_inter_transit_gateway_peering_parameters"

            headers = {"Authorization": "cid <CID>"}


            response = requests.post(url, headers=headers, verify=False)

            print(response.status_code)

            print(response.text)
        - lang: javascript
          label: JavaScript
          source: >-
            fetch("https://<controller>/v2/api/show_inter_transit_gateway_peering_parameters",
            {
              method: "POST",
              headers: {"Authorization": "cid <CID>"}
            })
              .then(res => res.text())
              .then(console.log)
              .catch(console.error);
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("POST", "https://<controller>/v2/api/show_inter_transit_gateway_peering_parameters", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    CID:
      description: The opaque session ID token. Required for 7.2 controllers only.
      type: string
    action:
      description: The API action to perform. Required for 7.2 controllers only.
      type: string
    StringToggle:
      description: A boolean choice expressed as a string
      enum:
        - 'yes'
        - 'no'
      type: string
    general_response_v2:
      additionalProperties: true
      description: A generic API response container for v2 style APIs.
      properties:
        errortype:
          description: Error type if the API failed.
          type: string
        reason:
          description: Failure reason if the API failed.
          type: string
        results:
          oneOf:
            - description: API response data
              type: boolean
            - description: API response data
              type: integer
            - description: API response data
              type: string
            - description: API response data
              type: object
            - description: API response data
              items: {}
              type: array
        return:
          description: Whether the API returned successfully
          type: boolean
      title: General Response v2
      type: object
  responses:
    general_response_v2:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v2'
      description: General v2 API response schema.

````